### Method

# GLib Source modify_unix_fd

since: 2.36

#### Declaration

    void
    g_source_modify_unix_fd (
      GSource* source,
      gpointer tag,
      GIOCondition new_events
    )

#### Description

Updates the event mask to watch for the fd identified by `tag`.

`tag` is the tag returned from g_source_add_unix_fd().

If you want to remove a fd, don’t set its event mask to zero. Instead, call g_source_remove_unix_fd().

This API is only intended to be used by implementations of `GSource`. Do not call this API on a `GSource` that you did not create.

As the name suggests, this function is not available on Windows.

Available since: 2.36

#### Parameters

`tag`

  Type: `gpointer`

  The tag from g_source_add_unix_fd().

  The data is owned by the caller of the method.

`new_events`

  Type: `GIOCondition`

  The new event mask to watch.